CommonDialog 控件

CommonDialog 控件提供一组标准的操作对话框，进行诸如打开和保存文件，设置打印选项，以及选择颜色和字体等操作。通过运行 Windows 帮助引擎控件还能显示帮助。

语法

CommonDialog

说明

CommonDialog 控件在 Visual Basic 和 Microsoft Windows 动态链接库 ommdlg.dll. 的例程之间提供了一个接口。为了用这个控件创建一个对话框，ommdlg.dll. 必须在 Microsoft Windows 的 SYSTEM 目录下。

在应用程序中要使用 CommonDialog 控件，可将其添加到窗体中并设置其属性。控件所显示的对话框由控件的方法确定。在运行时，当相应的方法被调用时，将显示一个对话框或是执行帮助引擎；在设计时，CommonDialog 控件是以图标的形式显示在窗体中。该图标的大小不能改变。

使用指定的方法，CommonDialog 控件能够显示下列对话。

方法 | 所显示的对话框
ShowOpen | 显示“打开”对话框
ShowSave | 显示“另存为”对话框
ShowColor | 显示“颜色”对话框
ShowFont | 显示“字体”对话框
ShowPrinter | 显示“打印”或“打印选项”对话框
ShowHelp | 调用 Windows 帮助引擎

在对话框接口上单击，CommonDialog 控件将自动提供与上下文有关的帮助：

  • 单击标题栏中的“这是什么？”帮助按钮，然后单击想详细信息的项目。

  • 将鼠标放在想进一步详细信息的项目上，单击右键，然后在所显示的上下文菜单中选择这是什么命令。

操作系统提供在 Windows 95 帮助弹出中显示的文本。也可以通过设置 Flags 属性，在带有 CommonDialog 控件的对话框中显示一个帮助按钮，但是，必须在这个位置提供帮助主题。

注意 无法指定对话框显示在什么地方。

详细信息 要查看各对话的帮助主题，单击“请参阅”。


Topic Not Found

未找到该主题

未找到相匹配的主题。可能的原因和解决方法如下：

  • 包含目标主题的文件 (.chm) 没有位于指定的位置。

    解决方法：重新运行 MSDN Library的安装。

  • 包含当前主题或目标主题的文件 (.chm) 已经过时，并且链接不再有效。

    解决方法：安装最新版本的 MSDN Library。

  • MSDN Library CD 不在 CD-ROM 中。

    解决方法：将 MSDN Library CD 装入 CD-ROM 中。


CommonDialog 控件（“颜色”对话框）

通过使用 CommonDialog 控件的 ShowColor 方法可显示“颜色”对话框。“颜色”对话框用以从调色板选择颜色，或是生成和选择自定义颜色。

如要使用“颜色”对话框，先设置 CommonDialog 控件中与颜色对话相关的属性。然后使用 ShowColor 方法显示对话框，使用 Color 属性检索所选的颜色。


CommonDialog 控件（“颜色”对话框）示例

下面的示例显示“颜色”对话框并设置窗体的 BackColor 为选定的颜色：

Private Sub Command1_Click()
' 设置“取消”为True
CommonDialog1.CancelError = True
On Error GoTo ErrHandler
'设置 Flags 属性
CommonDialog1.Flags = cdlCCRGBInit
' 显示“颜色”对话框
CommonDialog1.ShowColor
' 设置窗体的背景颜色为选定的颜色
Form1.BackColor = CommonDialog1.Color
Exit Sub

ErrHandler：
    ' 用户按了“取消”按钮
End Sub


CommonDialog 控件（“字体”对话框）

使用 CommonDialog 控件的 ShowFont 方法可显示“字体”对话框。“字体”对话框用以通过指定字体、大小、颜色、样式选择一种字体。

如要使用“字体”对话框,先设置 CommonDialog 控件中与字体对话相关的属性。然后使用 ShowFont 方法实际显示对话。一旦在“字体”对话框中作出了选择，下列属性即包括与该选择有关的信息：

属性 | 决定
Color | 选定的颜色。如要使用这个属性，必须先将 Flags 属性设置为 cdlCFEffects。
FontBold | 是否选定了粗体。
FontItalic | 是否选定了斜体。
FontStrikethru | 是否选定删除线。如要使用这个属性，必须先将 Flags 属性设置为 cdlCFEffects。
FontUnderline | 是否选定下划线。如要使用这个属性，必须先将 Flags 属性设置为 cdlCFEffects。
FontName | 选定字体的名称。
FontSize | 选定字体的大小。


CommonDialog 控件（“字体”对话框）示例

下面的示例显示“字体”对话框，将文本框中的字体属性设置为所选定的：

Private Sub Command1_Click()
' 设置“取消”为 True
CommonDialog1.CancelError = True
On Error GoTo ErrHandler
' 设置 Flags 属性
CommonDialog1.Flags = cdlCFEffects Or cdlCFBoth
' 显示“字体”对话框
CommonDialog1.ShowFont
Text1.Font.Name = CommonDialog1.FontName
Text1.Font.Size = CommonDialog1.FontSize
Text1.Font.Bold = CommonDialog1.FontBold
Text1.Font.Italic = CommonDialog1.FontItalic
Text1.Font.Underline = CommonDialog1.FontUnderline
Text1.FontStrikethru = CommonDialog1.FontStrikethru
Text1.ForeColor = CommonDialog1.Color
Exit Sub
ErrHandler：
' 用户按了“取消”按钮
Exit Sub
End Sub


CommonDialog 控件（帮助）

CommonDialog 控件的 ShowHelp 方法可运行 Windows 的帮助引擎 (WINHELP.EXE)，并显示由 HelpFile 属性设定的一个帮助文件。

通过 HelpCommand 属性的设置，可以告诉该帮助引擎想要哪种类型的联机帮助，比如是上下文相关，或是特定关键字的帮助，等等。


HelpCommand、Help Context 属性示例

下面示例示范了几个帮助命令。要试验该示例，在窗体中放一个CommonDialog 控件、五个CommandButton 控件，将代码粘贴到“声明”部分，按下 F5 键并单击每个按钮。

Option Explicit
Const HelpCNT = &HB

Private Sub Command1_Click()
   With CommonDialog1
      '必须设置 Help 文件名。
      .HelpFile = "VB5.hlp"
      '显示目录。注意 HelpCNT 常数不是一个内部常数。
      'cdlHelpSetContents确保了只显示目录
      '(而不显示索引或查找)。
      .HelpCommand = HelpCNT Or cdlHelpSetContents
      .ShowHelp
   End With

End Sub

Private Sub Command2_Click()
   With CommonDialog1
      .HelpFile = "VB5.hlp"
      '进入“Help“文件的 Click Event 标题。
      '“.chm”文件的数字值是由“.HPJ”文件
      '的[MAP]部分决定的。只有当你用
      '“Microsoft Help Workshop“建立
      '自己的帮助文件时，
      '才可以编辑此数字值。
      .HelpContext = 916302
      .HelpCommand = cdlHelpContext
      .ShowHelp
    End With
End Sub

Private Sub Command3_Click()
   With CommonDialog1
      .HelpFile = "VB5.hlp"
      '显示关于帮助的帮助.
      .HelpCommand = cdlHelpHelpOnHelp
      .ShowHelp
   End With
End Sub

Private Sub Command4_Click()
   With CommonDialog1
      .HelpFile = "VB5.hlp"
      .HelpKey = "data"
      '显示所选择关键字的索引。
      .HelpCommand = cdlHelpKey
      .ShowHelp
   End With
End Sub

Private Sub Command5_Click()
   With CommonDialog1
      .HelpFile = "VB5.hlp"
      .HelpKey = "arrays,"
      '显示用“HelpKey“找到的标题列表。
      .HelpCommand = cdlHelpPartialKey
      .ShowHelp
   End With

End Sub

Private Sub Form_Load()
   '标记“CommandButton”控件。
   Command1.Caption = "Contents"
   Command2.Caption = "Specified Topic"
   Command3.Caption = "Help On Help"
   Command4.Caption = "Index of Topics"
   Command5.Caption = "Found Topics"
End Sub


CommonDialog 控件（“打开”、“另存为”对话框）

通过使用 CommonDialog 控件的 ShowOpen 和 ShowSave 方法可显示“打开”和“另存为”对话框。

两个对话框均可用以指定驱动器，目录，文件扩展名和文件名。除对话的标题不同外，另存为对话外观上与打开对话相似。

在运行时，当用户选择一个文件“关闭”对话框时，FileName 属性既为选定的文件名。

可以设置 Filter 属性，这样对话就只显示某种文件类型，如文本文件。Flags 属性可用来改变对话的元素，当诸如覆盖文件之类的动作发生时，还可用来提示用户。


CommonDialog 控件（“打开”、“另存为”对话框）示例

下例显示“打开”对话框然后在信息框中显示所选的文件名：

Private Sub Command1_Click()
' 设置“CancelError”为 True
CommonDialog1.CancelError = True
On Error GoTo ErrHandler
' 设置标志
CommonDialog1.Flags = cdlOFNHideReadOnly
' 设置过滤器
CommonDialog1.Filter = "All Files (*.*)|*.*|Text Files" & _
"(*.txt)|*.txt|Batch Files (*.bat)|*.bat"
' 指定缺省的过滤器
CommonDialog1.FilterIndex = 2
' 显示“打开”对话框
CommonDialog1.ShowOpen
' 显示选定文件的名字
MsgBox CommonDialog1.filename
Exit Sub

ErrHandler：
' 用户按了“取消”按钮
Exit Sub
End Sub


CommonDialog 控件（“打印”对话框）

通过使用 CommonDialog 控件的 ShowPrinter 方法可显示“打印”对话框。“打印”对话框可用以指定打印输出方式。可以指定被打印页的范围，打印质量，打印的份数等等。这个对话框还包含当前安装的打印机的信息，并允许配置或重新安装缺省打印机。

注意 这个对话框并不给打印机传送数据，只是指定希望打印数据的情况。如果 PrinterDefault 属性为 True，可以使用 Printer 对象按选定的格式打印数据。

在运行时，一旦“打印”对话框中作出选择，下列属性即包括与该选择有关的信息：

属性 | 决定
Copies | 打印的份数。
FromPage | 开始打印页。
ToPage | 结束打印页。
hDC | 所选打印机的设备描述体。


CommonDialog 控件（“打印”对话框）示例

下例显示“打印”对话框。

Private Sub Command1_Click()
Dim BeginPage, EndPage, NumCopies, i
' 设置“取消”为 True
CommonDialog1.CancelError = True
On Error GoTo ErrHandler
' 显示“打印”对话框
CommonDialog1.ShowPrinter
' 从该对话框取得选定的值
BeginPage = CommonDialog1.FromPage
EndPage = CommonDialog1.ToPage
NumCopies = CommonDialog1.Copies
For i = 1 To NumCopies
' 此处放置将数据发送到打印机的代码
Next i
Exit Sub
ErrHandler：
' 用户按了“取消”按钮
Exit Sub
End Sub


CommonDialog 控件常数

文件打开/保存对话框标记

常数 | 值 | 描述
cdlOFNAllowMultiselect | &H200 | 指定文件名列表框允许多种选择。 用户在运行时 可按下 SHIFT 键选择多个文件并用 UP ARROW 与 DOWN ARROW 键选择所要。然后，FileName 属性包含所有选定文件的字符串。用空格来为字符串中的名字分界。
cdlOFNCreatePrompt | &H2000 | 指定对话框提示用户创建当前不存在的文件。该标记自动设置 cdlOFNPathMustExist 与 cdlOFNFileMustExist 标记。
cdlOFNExplorer | &H80000 | 使用“Explorer-like Open A File”对话框模板。在 Windows 下使用 Windows 95 外壳时，使用该标记的公共对话框不工作。
CdlOFNExtensionDifferent | &H400 | 指出被返回的文件名的扩展名不同于 DefaultExt 属性指定的扩展名。如果 DefaultExt 属性是Null，如果扩展名匹配，或者如果文件无扩展名，则都不设置该标记。关闭了对话框后就可检查该标记值。
cdlOFNFileMustExist | &H1000 | 指定用户可只在文件名文本框中输入现有文件名。如果设置了该标记，而且用户输入一个无效文件名，则将出现一个警告。该标记自动设置 cdlOFNPathMustExist 标记。
cdlOFNHelpButton | &H10 | 使对话框显示帮助按钮。
cdlOFNHideReadOnly | &H4 | 隐藏只读复选框。
cdlOFNLongNames | &H200000 | 使用长文件名。
cdlOFNNoChangeDir | &H8 | 强制对话框将当前目录设置成在打开对话框时的目录。
CdlOFNNoDereferenceLinks | &H100000 | 不间接引用外壳链接（所谓快捷方式）。根据缺省，选择外壳链接回使外壳间接引用它。
cdlOFNNoLongNames | &H40000 | 不使用长文件名。
CdlOFNNoReadOnlyReturn | &H8000 | 指定被返回的文件将不会有只读属性设置，也不会在写保护目录中。
cdlOFNNoValidate | &H100 | 指定公共对话框在被返回的文件名中允许无效字符。
cdlOFNOverwritePrompt | &H2 | 如果被选择的文件已经存在，则使“另存为”对话框生成消息框。用户必须确认是否覆盖文件。
cdlOFNPathMustExist | &H800 | 指定用户可只输入有效的路径。如果设置该标记且用户输入无效路径，则出现一个警告消息。
cdlOFNReadOnly | &H1 | 使在创建对话框时，开始检查只读复选框。在关闭对话框时，该标记也指出只读复选框的状态。
CdlOFNShareAware | &H4000 | 指定将忽略共享冲突错误。

“颜色”对话框标记

常数 | 值 | 描述
cdlCCFullOpen | &H2 | 显示整个对话框，包括定义自定义颜色区
cdlCCShowHelp | &H8 | 使对话框显示帮助按钮
cdlCCPreventFullOpen | &H4 | 使定义自定义颜色按钮无效，并防止用户定义自定义颜色
cdlCCRGBInit | &H1 | 设置对话框的初始颜色值

“字体”对话框标记

常数 | 值 | 描述
cdlCFANSIOnly | &H400 | 指定对话框只允许选择使用 Windows 字符设置的字体。如果设置该标记，则用户将不能选择只包含符号的字体。
cdlCFApply | &H200 | 启动对话框上的应用按钮。
cdlCFBoth | &H3 | 使对话框列举可用的打印机与屏幕字体。hDC 属性识别与打印机相关联的设备描述体。
cdlCFEffects | &H100 | 指定对话框使划线、下划线与颜色生效。
cdlCFFixedPitchOnly | &H4000 | 指定对话框只选择固定间距的字体。
cdlCFForceFontExist | &H10000 | 指定如果用户要选择不存在的字体或式样，则显示错误消息框。
cdlCFHelpButton | &H4 | 使对话框显示帮助按钮。
cdlCFLimitSize | &H2000 | 指定对话框只在 Min 与 Max 属性指定的范围内选择字体大小。
cdlCFNoFaceSel | &H80000 | 未选择字体名称。
cdlCFNoSimulations | &H1000 | 指定对话框不允许图形设备接口 (GDI) 字体模拟。
cdlCFNoSizeSel | &H200000 | 未选择字体大小。
cdlCFNoStyleSel | &H100000 |
cdlCFNoVectorFonts | &H800 | 指定对话框不允许选择矢量字体。
cdlCFPrinterFonts | &H2 | 使对话框只列举 hDC 属性指定的打印机所支持的字体。
cdlCFScalableOnly | &H20000 | 指定对话框只允许选择可缩放的字体。
cdlCFScreenFonts | &H1 | 使对话框只列举系统支持的屏幕字体。
cdlCFTTOnly | &H40000 | 指定对话框只允许选择 TrueType 字体。
cdlCFWYSIWYG | &H8000 | 指定对话框只允许选择既可在打印机上又可在屏幕上使用的字体。如果设置该标记设置，则也应设置 cdlCFBoth 与 cdlCFScalableOnly 标记。

“打印”对话框标记

常数 | 值 | 描述
cdlPDAllPages | &H0 | 返回或设置所有页选项按钮的状态。
cdlPDCollate | &H10 | 返回或设置分页复选框的状态。
cdlPDDisablePrintToFile | &H80000 | 使打印到复选框无效。
cdlPDHelpButton | &H800 | 使对话框显示帮助按钮。
cdlPDHidePrintToFile | &H100000 | 隐藏打印到文件复选框。
cdlPDNoPageNums | &H8 | 使页选项按钮与相关联的编辑控件无效。
cdlPDNoSelection | &H4 | 使选择选项按钮无效。
cdlPDNoWarning | &H80 | 防止在没有缺省打印机时显示警告消息。
cdlPDPageNums | &H2 | 返回或设置页选项按钮的状态。
cdlPDPrintSetup | &H40 | 使系统显示“打印设置”对话框而不是“打印”对话框。
cdlPDPrintToFile | &H20 | 返回或设置打印到文件复选框的状态。
cdlPDReturnDC | &H100 | 返回设备描述体 以在对话框中选择打印机。在对话框的 hDC 属性中返回设备描述体。
cdlPDReturnDefault | &H400 | 返回缺省打印机名称。
cdlPDReturnIC | &H200 | 返回信息上下文以在对话框中选择打印机。 信息上下文提供快速方法获得有关设备的信息，而不必创建设备描述体。在对话框 hDC 属性中返回信息上下文。
cdlPDSelection | &H1 | 返回或设置选择选项按钮的状态。如果既没有指定 cdlPDPageNums 也没有指定 cdlPDSelection，则所有选项按钮处在选择状态中。
cdlPDUseDevModeCopies | &H40000 | 如果打印机驱动程序不支持多个复本，则设置该标记使复本编辑控件无效。如果驱动程序支持多个复本，则设置该标记指出对话框在复本属性中存储所需数量的复本。

Help 常数

常数 | 值 | 描述
cdlHelpCommandHelp | &H102 | 对具体命令显示帮助
cdlHelpContents | &H3 | 显示当前帮助文件中的内容主题
cdlHelpContext | &H1 | 对具体主题显示帮助
cdlHelpContextPopup | &H8 | 显示上下文号识别的主题
cdlHelpForceFile | &H9 | 创建帮助文件，它只用一种字体显示文本
cdlHelpHelpOnHelp | &H4 | 显示帮助来使用帮助应用程序本身
cdlHelpIndex | &H3 | 显示被指定的帮助文件索引
cdlHelpKey | &H101 | 对具体关键字显示帮助
cdlHelpPartialKey | &H105 | 在 Windows 帮助中调用搜索引擎
cdlHelpQuit | &H2 | 指出指定帮助文件的帮助应用程序不再被使用
cdlHelpSetContents | &H5 | 指定特定主题作为内容主题
cdlHelpSetIndex | &H5 | 对多索引帮助设置当前索引


CommonDialog错误常数

常数 | 值 | 描述
cdlAlloc | &H&H7FF0 & | 不能对 FileName 或Filter 属性分配内存
cdlCancel | &H&H7FF3 & | 选择了取消
cdlDialogFailure | &H&H8000 & | 函数不能加载对话框
cdlFindResFailure | &H&H7FF9 & | 函数不能加载指定资源
cdlHelp | &H&H7FEF & | 不能调用 Windows 帮助
cdlInitialization | &H&H7FFD & | 在初始化期间函数失败
cdlLoadResFailure | &H&H7FF8 & | 函数不能加载指定的字符串
cdlLockResFailure | &H&H7FF7 & | 函数不能锁定指定的资源
cdlMemAllocFailure | &H&H7FF6 & | 函数不能对内部数据结构分配内存
cdlMemLockFailure | &H&H7FF5 & | 函数不能锁定与句柄相关联的内存
cdlNoFonts | &H&H5FFE & | 不存在字体
cdlBufferTooSmall | &H&H4FFC & | 缓冲区，在其内，成员 lpstrFile 点太小
cdlInvalidFileName | &H4&H4FFD & | 文件名称无效
cdlSubclassFailure | &H&H4FFE & | 不能将列表框分出子类，因为内存不够
cdlCreateICFailure | &H&H6FF5 & | 当 PrintDlg 函数要创建信息上下文时，该函数失败
cdlDndmMismatch | &H&H6FF6 & | DevMode 与 DevNames 数据结构中的数据描述两种不同的打印机
cdlGetDevModeFail | &H&H6FFA & | 打印机设备驱动程序不能初始化 DevMode 数据结构
cdlInitFailure | &H&H6FF9 & | 在初始化期间 PrintDlg 函数失败
cdlLoadDrvFailure | &H&H6FFB & | PrintDlg 函数不能加载被指定的打印机设备驱动程序
cdlLoadStrFailure | &H7FFA | 函数不能加载指定的字符串。
cdlNoDefaultPrn | &H&H6FF7 & | A 缺省打印机不存在
cdlNoDevices | &H&H6FF8 & | 未找到打印机设备驱动程序
cdlParseFailure | &H&H6FFD & | CommonDialog 函数不能分析 Win.ini 的 [设备]一节中的字符串
cdlPrinterCodes | &H&H6FFF & | 设置了 PDReturnDefault 标记，但 hDevMode 或 hDevNames 字段都非零
cdlPrinterNotFound | &H&H6FF4 & | Win.ini 的 [设备]一节不包含所需打印机的登录项
cdlRetDefFailure | &H&H6FFC & | 设置了 PDReturnDefault 标记，但 hDevMode 或 hDevNames 字段都非零
cdlSetupFailure | &H&H6FFE & | 不能加载所需资源


ShowColor 方法

显示 CommonDialog 控件的“颜色”对话框。

语法

object.ShowColor

object 所在处代表对象表达式，其值是“应用于”列表中的对象。


ShowColor、 ShowFont、 ShowHelp、 ShowOpen、 ShowPrinter、ShowSave 各方法示例

本例使用 CommonDialog 控件和 ShowColor，ShowFont，ShowHelp，ShowOpen，ShowPrinter，和 ShowSav 等方法，显示公共对话框。要试用此例子，将代码粘贴到窗体的声明部分，该窗体带有 CommandButton，OptionButton（设置该选项按钮的 Index 属性为 0）、以及 CommonDialog 控件。按 F5 键，为所要的公共对话框选择选项按钮，再选取命令按钮。

Private Sub Form_Paint ()
   Static FlagFormPainted As Integer
   ' 当第一次画窗体时，
   If FlagFormPainted <> True Then
      For i = 1 To 5
         Load Option1(i)   ' 给数组添加 5 个选项按钮。
         Option1(i).Top = Option1(i - 1).Top + 350
         Option1(i).Visible = True
      Next i
      Option1(0).Caption = "Open"   ' 在每个选项按钮上放置标题。
      Option1(1).Caption = "Save"
      Option1(2).Caption = "Color"
      Option1(3).Caption = "Font"
      Option1(4).Caption = "Printer"
      Option1(5).Caption = "Help"
      Command1.Caption = "Show Dlg"   ' 标签命令按钮。
      FlagFormPainted = True   ' 窗体已画完。
   End If
End Sub

Private Sub Command1_Click ()
   If Option1(0).Value Then   ' 如果选择打开选箱，
      CommonDialog1.ShowOpen   ' 显示打开公共对话框。
   ElseIf Option1(1).Value Then   ' 否则，
      CommonDialog1.ShowSave   ' 显示 Save 公共对话框。
   ElseIf Option1(2).Value Then   ' 否则，
      CommonDialog1.ShowColor   ' 显示 Color 公共对话框。
   ElseIf Option1(3).Value Then   ' 否则，
      CommonDialog1.Flags = cdlCFBoth   ' 在使用ShowFont 方法之前，
            '必须给 cdlCFBoth，                     ' cdlCFPrinterFonts,
            '或 cdlCFScreenFonts
   ' 置标识属性。
      CommonDialog1.ShowFont   ' 显示字体公共对话框。
   ElseIf Option1(4).Value Then   ' 或，
      CommonDialog1.ShowPrinter   ' 显示打印机公共对话框。
   ElseIf Option1(5).Value Then   ' 或
      CommonDialog1.HelpFile = "VB5.hlp"
      CommonDialog1.HelpCommand = cdlHelpContents
      CommonDialog1.ShowHelp' 显示 Visual Basic 帮助目录主题。
      End If
End Sub


ShowFont 方法

显示 CommonDialog 控件的“字体”对话框。

语法

object.ShowFont

object 所在处代表对象表达式，其值是“应用于”列表中的对象。

说明

在使用 ShowFont 方法前，必须先设置 CommonDialog 控件的 Flags 属性为下列三个常数或值中的一个： cdlCFBoth 或 &H3, cdlCFPrinterFonts 或 &H2, 以及 cdlCFScreenFonts 或 &H1。如果不置 Flags，将会显示一个信息框，提示“没有安装的字体。”并产生一个运行时错误。


ShowHelp 方法

运行 WINHLP32.EXE 并显示指定的帮助文件。

语法

object.ShowHelp

object 所在处代表对象表达式，其值是“应用于”列表中的对象。

说明

使用 ShowHelp 方法前，必须将 CommonDialog 控件的 HelpFile 和 HelpCommand 属性设置为其相应的一个常数或值。否则，Winhlp32.exe 就不能显示帮助文件。


ShowOpen 方法

显示 CommonDialog 控件的“打开”对话框。

语法

object.ShowOpen

object 所在处代表对象表达式，其值是“应用于”列表中的对象。


ShowPrinter 方法

显示 CommonDialog 控件的“打印”对话框。

语法

object.ShowPrinter

object 所在处代表对象表达式，其值是“应用于”列表中的对象。


ShowSave 方法

显示 CommonDialog 控件的“另存为”对话框。

语法

object.ShowSave

object 所在处代表对象表达式，其值是“应用于”列表中的对象。


Action 属性（“命令”对话框）

返回或设置被显示的对话框的类型。在设计时无效。

注意 此 Action 属性是为了与 Visual Basic 早期版本兼容而提供的。如需附加功能，可使用下列新方法：ShowColor，ShowFont，ShowHelp，ShowOpen，ShowPrinter 和 ShowSave。

语法

object.Action [= value]

Action 属性语法有下列三部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
value | 数值表达式，如“设置值”中所描述，用以指定所显示对话框的类型。

设置值

用于 value 的设置值是：

设置 | 描述
0 | 没有操作。
1 | 显示“打开”对话框。
2 | 显示“另存为”对话框。
3 | 显示“颜色”对话框。
4 | 显示“字体”对话框。
5 | 显示“打印”对话框。
6 | 运行 WINHLP32.EXE。

数据类型

Integer


CancelError 属性

返回或设置一个值，该值指示当选取“取消”按钮时是否出错。

语法

object.CancelError [= boolean]

CancelError 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
boolean | 布尔表达式，如“设置值”中所描述，用以指示是否出错。

设置值

用于 boolean 的设置有：

设置值 | 描述
True | 有错。
False | （缺省值）没错。

说明

当该属性设置为 True 时，无论何时选取“取消”按钮，均产生 32755 (cdlCancel) 号错误。

数据类型

Boolean


Color 属性

返回或设置选定的颜色。

语法

object.Color [= number]

Color 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
number | 指定颜色的数值表达式。

设置值

number 的设置值是：

设置值 | 描述
Normal RGB colors | 在代码中用 RGB 或 QBColor 函数设置颜色。
System default colors | 用对象浏览器中 Visual Basic(VB) 对象库中的系统颜色常数来指定颜色。Microsoft Windows 操作环境按照用户控件面板设置的指定替换用户选择。

说明

为了该属性能返回“颜色”对话框中的一种颜色，必须先设置 cdlCCRGBInit 标志。在“字体”对话框，必须设置 cdlCFEffects 标志。

数据类型

Long


DefaultExt 属性

为该对话框返回或设置缺省的文件扩展名。

语法

object.DefaultExt [= string]

DefaultExt 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
string | 字符串表达式，它用来指定文件的扩展名。

说明

使用该属性指定缺省的扩展文件名，如 .txt 或 .doc。

当保存一个没有扩展名的文件时，自动给该文件指定由 DefaultExt 属性指定的扩展名。

数据类型

String


DialogTitle 属性

返回或设置该对话框标题栏所显示的字符串。

语法

object.DialogTitle [= title]

DialogTitle 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
title | 指定该对话框名称的字符串表达式。

说明

使用该属性显示标题栏中对话框的名称。

注意 当显示“颜色”、“字体”或“打印”对话框时，CommonDialog 控件忽略 DialogTitle 属性的设置。

“打开”对话框缺省的标题是“打开”；“另存为”对话框缺省的标题是“另存为”。

数据类型

String


FileTitle 属性

返回要打开或保存文件的名称（没有路径）。

语法

object.FileTitle

object 所在处代表对象表达式，其值是“应用于”列表中的对象。

说明

当在“文件”对话框中选择一个文件并单击“确定”按钮时，FileTitle 属性就记录一个值，该值将被用于打开或保存所选的文件。

注意 如果设置 cdlOFNNoValidate 标志，则 FileTitle 属性不返回值。

数据类型

String


Filter 属性（公共对话框）

返回或设置在对话框的类型列表框中所显示的过滤器。

语法

object.Filter [= description1 |filter1 |description2 |filter2...]

Filter 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
description | 描述文件类型的字符串表达式。
filter | 是指定文件名扩展的字符串表达式。

说明

过滤器指定在对话框的文件列表框中显示的文件的类型。例如，选择过滤器为 *.txt，就显示所有的文本文件。

使用该属性可当对话框显示时提供一个过滤器列表，用它可以进行选择。

使用管道 ( | ) 符号 (ASCII 124) 将 fifter 与 description 的值隔开。管道符号的前后都不要加空格，因为这些空格会被与 fifter 与 description 的值一起显示。

下列代码给出一个过滤器的例子，该过滤器允许选择文本文件或含有位图和图标的图形文件：

Text (*.txt)|*.txt|Pictures (*.bmp;*.ico)|*.bmp;*.ico

当为一个对话框要指定一个以上的过滤器时，需使用 FilterIndex 属性确定哪一个作为缺省过滤器显示。

数据类型

String


FilterIndex 属性

返回或设置“打开”或“另存为”对话框中一个缺省的过滤器。

语法

object.FilterIndex [= number]

FilterIndex 属性语法有下列部分：

部分 | 描述
object | 对象表达式 ，其值是“应用于”列表中的对象。
number | 是指定缺省过滤器的数值表达式。

说明

当使用 Filter 属性为“打开”或“另存为”对话框指定过滤器时，该属性指定缺省的过滤器。

对于所定义的第一个过滤器其索引是 1。

数据类型

Integer


Flags 属性（“颜色”对话框）

返回或设置“颜色”对话框选项。

语法

object.Flags [= value]

Flags 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
value | 如“设置值”中所描述，是为“颜色”对话框指定选项的常数或值。

设置值

value 的设置值是：

常数 | 值 | 描述
cdlCCFullOpen | &H2 | 显示全部的对话框，包括定义自定义颜色部分。
cdlCCShowHelpButton | &H8 | 使对话框显示帮助按钮。
cdlCCPreventFullOpen | &H4 | 使定义自定义颜色命令按钮无效并防止定义自定义颜色。
cdlCCRGBInit | &H1 | 为对话框设置初始颜色值。

说明

这些常数在对象浏览器的 Microsoft CommonDialog 控件 (MSComDlg) 对象库中列出。

也可以定义所选择的标志。使用启动窗体声明部分的 Const 关键字定义想使用的标志。

使用 Or 运算符可以为一个对话框设置多个标志。例如：

CommonDialog1.Flags = &H10& Or &H200&

将所希望的常数值相加能产生同样的结果。下例与上例等效：

CommonDialog1.Flags = &H210&

数据类型

Long


Flags 属性（“打开”、“另存为”对话框）

为“打开”和“另存为”对话框返回或设置选项。

语法

object.Flags [= value]

Flags 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
value | 如“设置值”中所描述，是为“打开”和“另存为”对话框指定选项的常数或值。

设置值

Value 的设置值是：

常数 | 值 | 描述
cdlOFNAllowMultiselect | &H200 | 它指定文件名列表框允许多重选择。 运行时，通过按 SHIFT 键以及使用 UP ARROW 和 DOWN ARROW 键可选择多个文件。作完此操作后，FileName 属性就返回一个包含全部所选文件名的字符串。串中各文件名用空格隔开。
cdlOFNCreatePrompt | &H2000 | 当文件不存在时对话框要提示创建文件。该标志自动设置 cdlOFNPathMustExist 和 cdlOFNFileMustExist 标志。
cdlOFNExplorer | &H80000 | 它使用类似资源管理器的打开一个文件的对话框模板。适用于 Windows 95 和 Windows NT 4.0。
CdlOFNExtensionDifferent | &H400 | 它指示返回的文件扩展名与 DefaultExt 属性指定的扩展名不一致。如果 DefaultExt 属性是 Null，或者扩展相匹配，或者没有扩展时，此标志不设置。当关闭对话框时，可以检查这个标志的值。
cdlOFNFileMustExist | &H1000 | 它指定只能输入文件名文本框已经存在的文件名。如果该标志被设置，则当用户输入非法的文件名时，要显示一个警告。该标志自动设置 cdlOFNPathMustExist 标志。
cdlOFNHelpButton | &H10 | 使对话框显示帮助按钮。
cdlOFNHideReadOnly | &H4 | 隐藏只读复选框。
cdlOFNLongNames | &H200000 | 使用长文件名。
cdlOFNNoChangeDir | &H8 | 强制对话框将对话框打开时的目录置成当前目录。
CdlOFNNoDereferenceLinks | &H100000 | 不要间接引用外壳链接（也称作快捷方式）。缺省时，选取外壳链接会引起它被外壳间接引用。
cdlOFNNoLongNames | &H40000 | 无长文件名。
CdlOFNNoReadOnlyReturn | &H8000 | 它指定返回的文件不能具有只读属性，也不能在写保护目录下面。
cdlOFNNoValidate | &H100 | 它指定公共对话框允许返回的文件名中含有非法字符。
cdlOFNOverwritePrompt | &H2 | 使“另存为”对话框当选择的文件已经存在时应产生一个信息框，用户必须确认是否覆盖该文件。
cdlOFNPathMustExist | &H800 | 它指定只能输入有效路径。如果设置该标志，输入非法路径时，应显示一个警告信息。
cdlOFNReadOnly | &H1 | 建立对话框时，只读复选框初始化为选定。该标志也指示对话框关闭时只读复选框的状态。
cdlOFNShareAware | &H4000 | 它指定忽略共享冲突错误。

说明

cdlOFNExplorer 和 cdlOFNNoDereferenceLinks 标志适用于 Windows 95 和 Windows NT 4.0。Windows 95 中 cdlOFNExplorer 的公共对话框使用字符作为分隔符；而在没有 Windows 95 外壳的 Windows NT 的早期版本中，多重选择是使用空格作为分隔符（固而不能支持长文件名）。

无论是在 Windows NT 4.0 还是在 Windows 95 中，如果不选取 cdlOFNAllowMultiselect 标志，cdlOFNExplorer 和 cdlOFNLongNames 标志均没有意义，并且实际上是缺省值。

无论是在 Windows NT 4.0 还是在 Windows 95 中，如果 cdlOFNAllowMultiselect 标志被单独使用，都不能支持长文件名。这是因为多重文件名要复现空格分隔符，而长文件名也可能包括空格符。在 Windows NT 3.5 中，无法避免这种情况。如果使用 cdlOFNAllowMultiselect，就不能看到长文件名。如果在 Windows 95 中添加 cdlOFNExplorer 标志，就可以既能文件多选，又能看到长文件名。但是，这些文件名显现空字符分隔符，而不是空格分隔符隔开。因此，cdlOFNAllowMultiselect 和 cdlOFNExplorer 一起使用时，在 Windows 95 和 Windows NT 4.0 中需要不同的文件名所得结果的语法分析。

这些常数在对象浏览器中的 Microsoft CommonDialog 控件 (MSComDlg) 对象库中列出。

也可以定义所选择的标志。应使用启动窗体声明部分的 Const 关键字来定义想使用的标志。例如：

Const ReadOnly  = &H00000001&
Const Effects    = &H00000100&
CommonDialog1.Flags = &H10& Or &H200&

将所需常数值能相加产生同样的结果。下例与上例等效：

CommonDialog1.Flags = &H210&

数据类型

Long


Flags 属性（“字体”对话框）

返回或设置“字体”对话框的选项。

语法

object.Flags [= value]

Flags 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
value | 如“设置值”中所描述，它为“字体”对话框指定选项的常数或值。

设置值

value 的设置是：

常数 | 值 | 描述
cdlCFANSIOnly | &H400 | 它指定对话框只允许选择 Windows 字符集的字体。如果该标志被设置，就不能选择仅含符号的字体。
cdlCFApply | &H200 | 它使对话框中的“应用”按钮有效。
cdlCFBoth | &H3 | 使对话框列出可用的打印机和屏幕字体。hDC 属性标识与打印机相关的设备描述体。
cdlCFEffects | &H100 | 它指定对话框允许删除线，下划线，以及颜色效果。
cdlCFFixedPitchOnly | &H4000 | 它指定对话框只能选择固定间距的字体。
cdlCFForceFontExist | &H10000 | 它指定如果用户试图选择一个并不存在的字体或样式，显示错误信息框。
cdlCFHelpButton | &H4 | 使对话框显示帮助按钮。
cdlCF例mitSize | &H2000 | 它指定对话框只能在由 Min 和 Max 属性规定的范围内选择字体大小。
cdlCFNoFaceSel | &H80000 | 没有选择字体名称。
cdlCFNoSimulations | &H1000 | 它指定对话框不允许图形设备接口 (GDI) 字体模拟。
cdlCFNoSizeSel | &H200000 | 没有选择字体大小。
cdlCFNoStyleSel | &H100000 | 没有选择样式。
cdlCFNoVectorFonts | &H800 | 它指定对话框不允许矢量字体选择。
cdlCFPrinterFonts | &H2 | 使对话框只列出由 hDC 属性指定的打印机支持的字体。
cdlCFScalableOnly | &H20000 | 它指定对话框只允许选择可缩放的字体。
cdlCFScreenFonts | &H1 | 使对话框只列出系统支持的屏幕字体。
cdlCFTTOnly | &H40000 | 它指定对话框只允许选择 TrueType 型字体。
cdlCFWYSIWYG | &H8000 | 它指定对话框只允许选择在打印机和屏幕上均可用的字体。如果该标志被设置，则 cdlCFBoth 和 cdlCFScalableOnly 标志也应该设置。

说明

这些常数在对象浏览器中的 Microsoft CommonDialog 控件 (MSComDlg) 对象库中列出。

也可以定义所选择的标志。可使用启动窗体声明部分的 Const 关键字来定义想使用的标志。例如：

Const ReadOnly  = &H00000001&
Const Effects    = &H00000100&

使用 Or 运算符可以为一个对话框设置多个标志。例如：

CommonDialog1.Flags = &H10& Or &H200&

将所希望的常数值相加能产生同样的结果。下例与上例等效：

CommonDialog1.Flags = &H210&

注意 在显示“字体”对话框前，必须先将 Flags 属性设置为 cdlCFScreenFonts，cdlCFPrinterFonts，或 cdlCFBoth。否则，会发生字体不存在的错误。

数据类型

Long


Flags 属性（“打印”对话框）

返回或设置“打印”对话框的选项。

语法

object.Flags [= value]

Flags 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
value | 如“设置值”中所描述，为“打印”对话框指定选项的常数或值。

设置值

value 的设置值是：

常数 | 值 | 描述
cdlPDAllPages | &H0 | 返回或设置全部页选项按钮.的状态。
cdlPDCollate | &H10 | 返回或设置分页复选框的状态。
cdlPDDisablePrintToFile | &H80000 | 使打印到文件复选框无效。
cdlPDHelpButton | &H800 | 要求对话框显示帮助按钮。
cdlPDHidePrintToFile | &H100000 | 隐藏打印到文件复选框。
cdlPDNoPageNums | &H8 | 使页选项按钮和相关的编辑控件无效。
cdlPDNoSelection | &H4 | 使选择选项按钮无效。
cdlPDNoWarning | &H80 | 防止没有缺省打印机时显示警告信息。
cdlPDPageNums | &H2 | 返回或设置页选项按钮的状态。
cdlPDPrintSetup | &H40 | 使系统显示“打印设置”对话框而不是“打印”对话框。
cdlPDPrintToFile | &H20 | 返回或设置打印到文件复选框的状态。
cdlPDReturnDC | &H100 | 为该对话框中选择的打印机返回一个设备描述体。设备描述体返回到对话框的 hDC 属性中。
cdlPDReturnDefault | &H400 | 返回缺省的打印机名称。
cdlPDReturnIC | &H200 | 为该对话框中选择的打印机返回一个信息上下文。信息上下文提供了一个不用建立设备描述体就能得到设备信息的快速方法。信息上下文返回到对话框的 hDC 属性中。
cdlPDSelection | &H1 | 返回或设置选择选项按钮的状态。如果 cdlPDPageNums 或 cdlPDSelection 均未指定，全部选项按钮就处于被选状态。
CdlPDUseDevModeCopies | &H40000 | 如果打印机驱动程序不支持多份数打印，则设置该属性将使打印对话中的份数微调控件的数值无效。如果驱动程序支持多份数打印，则设置该属性指示对话框将所要的份数值存放在 Copies 属性中。

说明

这些常数在对象浏览器的 Microsoft CommonDialog 控件 (MSComDlg) 对象库中列出。

也可以定义所选择的标志。使用启动窗体声明部分的 Const 关键字来定义想使用的标志。例如：

Const ReadOnly  = &H00000001&
Const Effects    = &H00000100&

使用 Or 操作符可以为一个对话框设置多个标志。如：

CommonDialog1.Flags = &H10& Or &H200&

将所希望的常数值相加能产生同样的结果。下例与上例等效：

CommonDialog1.Flags = &H210&

数据类型

Long


Flags 属性（所有公共对话框）

Flags 属性（“颜色”对话框）

Flags 属性（“字体”对话框）

Flags 属性（“打开”、“另存为”对话框）

Flags 属性（“打印”对话框）


FromPage,ToPage 属性

返回或设置“打印”对话框的 From 和 To 文本框的值。

语法

object.FromPage [= number]

object.ToPage [= number]

FromPage 和 ToPage 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
value | 数值表达式，指定要打印的首、尾页号。

说明

这些属性只有当 cdlPDPageNums 标志被置时才有效。

数据类型

Integer


HelpCommand 属性

返回或设置需要的联机帮助的类型。

语法

object.HelpCommand [= value]

HelpCommand 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
value | 如“设置值”所描述，它是指定帮助类型的常数或值。

设置值

value 的设置值是：

常数 | 值 | 描述
cdlHelpCommand | &H102& | 执行帮助宏。
cdlHelpContents | &H3& | 按照.hpj 文件 [OPTION] 节中内容选项所定义的那样，显示帮助内容主题。参阅下面的说明，以获得有关用 Microsoft Help Workshop 4.0X 创建的 Help 文件的信息。
cdlHelpContext | &H1& | 为特定的上下文显示帮助。当使用这个设置时，还必须用 HelpContext 属性指定一个上下文。
cdlHelpContextPopup | &H8& | 在弹出窗口显示一个特定的帮助主题，该主题由.hpj 文件 [MAP] 节中定义的上下文编号来标识。
CdlHelpContextPopup | &H9& | 确保 WinHelp 显示正确的帮助文件。如果正确的帮助文件正被显示，则不出现任何动作。如果被显示的不是正确的帮助文件，则 Winhelp 将打开正确的文件。
cdlHelpHelpOnHelp | &H4& | 为使用帮助应用程序本身显示帮助。
cdlHelpIndex | &H3& | 显示指定的帮助文件的索引。应用程序应将该值用于只有一个索引的帮助文件。
cdlHelpKey | &H101& | 为特定的关键字显示帮助。当使用这个设置时，还必须用 HelpKey 属性指定一个关键字。
cdlHelpPartialKey | &H105& | 显示在关键字列表中能找到的一个与由 dwData 参数所传送的关键字精确匹配的主题。如果存在多个匹配的话，则显示带有已找到的在“转到”列表框中列出的哪些主题的“搜索”对话框。如果没有匹配的，则显示“搜索”对话框。为了显示没有传送关键字的“搜索”对话框，可使用一个指向空字符串的长指针。
cdlHelpQuit | &H2& | 通知帮助应用程序，所指定的帮助文件不再使用。
cdlHelpSetContents | &H5& | 当用户按 F1 键时确定显示哪个内容的主题。
cdlHelpSetIndex | &H5& | 将由 HelpContext 属性指定的上下文，设置为由 HelpFile 属性指定的帮助文件当前的索引。直到用户访问另一个帮助文件，该索引一直保持为当前。该值仅用于有多个索引的帮助文件。

说明

用于 HelpCommand 属性常数的这些值在对象浏览器的 Microsoft CommonDialog 控件 (MSComDlg) 对象库中列出。

cdlHelpContents常数在用“Microsoft Help Workshop Version 4.0X”创建的“帮助”文件中不起作用。你可以用值“&HB”得到同样的效果。请参阅“HelpCommand 属性示例”中一个可运行的代码示例。

数据类型

Integer


HelpContext 属性（“公共”对话框）

返回或设置请求的帮助主题的上下文 ID。

语法

object.HelpContext [= value]

HelpContext 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
value | 字符串表达式，它指定请求的帮助主题的上下文ID。

说明

与 HelpCommand 属性一起使用该属性（设置 HelpCommand = cdlHelpContext）可指定要显示的帮助主题。

数据类型

Long


HelpKey 属性

返回或设置标识请求的帮助主题的关键字。

语法

object.HelpKey [= string]

HelpKey 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
sting | 字符串表达式，它指定标识的帮助主题的关键字。

说明

与 HelpCommand 属性一起使用该属性（设置HelpCommand = cdlHelpKey）可指定要显示的帮助主题。

数据类型

String


InitDir 属性

初始返回或设置文件目录。

语法

object.InitDir [= string]

InitDir 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
sting | 字符串表达式，它指定初始文件目录。

说明

该属性用于为打开或另存为对话指定初始的目录。如果此属性没有指定，则使用当前目录。

数据类型

String


Max，Min 属性（公共对话框）

可为下列各项设置 Max 和 Min 属性：

  • “字体”对话框—返回或设置在“大小”列表框显示的字体的最大和最小尺寸。

  • “打印”对话框 — 返回或设置打印范围允许的最大和最小值。

语法

object.Min [= points]

object.Max [= points]

object.Min [= number ]

object.Max [= number ]

Max 和 Min 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
points | 数值表达式，它指定最小和最大的字体尺寸。
number | 数值表达式数值表达式，它指定页码的最小值和最大值。

说明

  • 对于“字体”对话框，使用这些属性前必须先置 cdlCFLimitSize 标志。

  • 对于“打印”对话框，Min 属性确定能在从文本框中指定的最小号。Max 属性确定能在到文本框中指定的最大号。

数据类型

Integer


MaxFileSize 属性

返回或设置使用 CommonDialog 控件被打开的文件名的最大尺寸。

语法

object.MaxFileSize [= value]

MaxFileSize 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
value | 整数，它指定文件名的最大字节数。该属性的范围是 1? 32K。缺省值是 256。

说明

MaxFileSize 属性要分配内存以便存储所选的一个或多个文件的实际名称。当使用 cdlOFNAllowMultiselect 标志时，可能希望增加 MaxFileSize 属性的尺寸以便对所选文件名有足够的内存。

数据类型

Integer


Orientation 属性 （CommonDialog 控件）

返回或设置一个值，指示是否文档以纵向或横向模式打印。在设计时不可用。

语法

object.Orientation [= value]

Orientation 属性语法有下列部分：

部分 | 描述
Object | 对象表达式，其值是“应用于”列表中的对象。
Value | 决定页面方向的值或常数，可参阅“设置值”中的描述。

设置值

value 设置值：

常数 | 值 | 描述
cdlPortrait | 1 | 以纸的短边为顶端打印文档。
cdlLandScape | 2 | 以纸的长边为顶端打印文档。

说明

在对象浏览器.的Visual Basic (VB) 对象库中有这些常数的列表。

注意 Printer对象属性的效果依赖于打印机厂商提供的驱动程序。有些属性设置值可能没有效果，或者几个不同的属性设置值可能有相同的效果。在允许范围之外的设置值可能产生或者不产生错误。关于更多的信息，请参阅厂商文档中指定的驱动程序。


PrinterDefault 属性

返回或设置一个选项，用确定在“打印”对话框中的选择是否用于改变系统缺省的打印机设置。

语法

object.PrinterDefault [= value]

PrinterDefault 属性语法有下列部分：

部分 | 描述
object | 对象表达式，其值是“应用于”列表中的对象。
value | 布尔表达式，如“设置值”中所描述，它指定用户的选择是否用于改变系统缺省的打印机设置。

设置值

value 的设置值是：

设置值 | 描述
True | 在“打印”对话框的安装部分所作的任何选择（打印机选择，定向，等等），都将用于改变 WIN.INI 文件中打印机的设置。（在 Windows NT 操作系统中，这个信息存储在注册中。）
False | 其选择不能用于改变系统缺省打印机的设置。

说明

当 PrinterDefault 为 True 时，可以编写代码直接向 Visual Basic Printer 对象打印。否则，必须通过图形设备接口 (GDI) 调用，往由控件的 hDC 属性指定的打印机上进行打印，。

注意 如果前面已有 Printer 对象打印的，则应保证使用 Printer.EndDoc 使该打印作业终止。释放与打印机相关的 hDC。将取得缺省打印机的新的 hDC，用于下一次打印的 Printer 对象。如果不这样作的话，很可能出现选择一个新打印机而 Printer 对象还包含一个老打印机的句柄。

数据类型

Boolean